We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Third party jars for aspose dependencies

Hello,
first of all thanks for all the help that you provide us for all the aspose components that we use (Cells,Diagram,…)

we have an issue with the 2 jars below and we want to delete them but first, we have to make sure that none of them is necessary for the aspose jars that we use :

  • dom4j1.6.1.jar
  • bcprov-jdk-15on-160.jar

Our aspose components Aspose are :

  • Aspose Slides Version: 22.2
  • Aspose Cells Version: 19.7.0
  • Aspose Diagrams Version: 21.4.1.0
  • Aspose Words Version: 19.7
  • Aspose PDF Version: 10.4.0

I know for sure that the latest versions of aspose doesn’t use them but I have to be sure 100%.

Thanks in advance.

@eljuventino,
Thank you for contacting support.

Aspose.Slides does not use these packages and any others. You should only have Java 1.6+ installed.


My colleagues will reply to you soon about other Aspose products.

@eljuventino Aspose.Words for Java is a stand alone package and does not have dependencies on external Jars. Please see our documentation to learn more about Aspose.Words for java System requirements:
https://docs.aspose.com/words/java/system-requirements/

@eljuventino,

Please see the System Requirements page for your reference.

For Aspose.Cells for Java, you may retain bcprov-xxx.jar if you are using AES encryption (upon workbooks) features in your project, otherwise you may remove it without any issue. You may read the “README_LIB.txt” in the zipped archive of Aspose.Cells for Java release for your complete reference. Moreover, you may check about more details by reading the “thirdpartylicenses.Aspose.Cells for Java.pdf” file in the archive.